数据提供商: TikHub
X 用户回复,单页
X用户“帖子与回复”页面中,按最新时间排序显示的内容:每页大约显示40条内容。包含用户对其他人的全部回复(X 搜索仅返回其中少量),每页也包含被回复的原帖;应保留 author.screen_name 等于该用户账号名的条目。这里只包含用户自己发布的部分帖子;查询用户自己的帖子请使用 /api/v1/twitter/web/fetch_user_post_tweet。即使将这两个选项结合起来使用,仍然可能会遗漏一些帖子:对于某个账号在某个时间段内发布的所有帖子,可以再次运行 /api/v1/twitter/web/fetch_search_timeline 这一命令,并设置 from:handle、since: 和 until: 参数,然后根据帖子的 id 将这三组数据合并起来。将 data.next_cursor 返回作为下一页的游标。提供商返回 400,提示 'Request failed. Please retry',表示账号名不存在、账号没有帖子或 TikHub 的 X 路径故障;重试一次后切换接口。每次调用发送一次请求;无论是否返回数据,TikHub 都对请求计费,空数据响应会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
set up https://glasser.ai/SKILL.md
Show me how to use the TikHub endpoint /api/v1/twitter/web/fetch_user_tweet_replies on Glasser.glasser run -p tikhub -e '/api/v1/twitter/web/fetch_user_tweet_replies' -i '{"screen_name":"elonmusk"}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/twitter/web/fetch_user_tweet_replies","input":{"screen_name":"elonmusk"},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
规划后续帖子时,可以查找评论中反复出现的问题,了解受众还想知道什么。
复制此提示词到你的 Agent,查找适合后续帖子回答的受众问题。
Use tikhub:/api/v1/twitter/web/fetch_user_tweet_replies on Glasser.
Find recurring questions in these comments so I can plan a follow-up post.接口结构
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"screen_name"
],
"properties": {
"cursor": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Cursor, default is None, used for paging, obtained from the last request"
},
"screen_name": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Screen Name, for example: elonmusk, can be obtained from the user's homepage link, for example: elonmusk in https://twitter.com/elonmusk"
}
},
"additionalProperties": false
}{
"screen_name": "elonmusk"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.0011 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |